Latest Photoshop version for PPC?

Discussion in 'PowerPC Macs' started by alex.marton, Jul 24, 2015.

  1. alex.marton macrumors 6502

    alex.marton

    Joined:
    Jul 6, 2015
    Location:
    My House
    #1
    Hi all,

    Could someone please let me know which is the last version of Photoshop that a PPC G5 can run?

    Thanks, Alex.
     
  2. bunnspecial macrumors 603

    bunnspecial

    Joined:
    May 3, 2014
    Location:
    Kentucky
  3. alex.marton thread starter macrumors 6502

    alex.marton

    Joined:
    Jul 6, 2015
    Location:
    My House
    #3
    Great! Thanks :)
     
  4. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #4
    Be mindful that if you use the CS4 suite installer, it will fail. You will be told you need an Intel Mac. That's because certain apps in the suite actually are Intel only.

    If you use separate installers though it will work fine.
     
  5. MacCubed macrumors 68000

    MacCubed

    Joined:
    Apr 26, 2014
    Location:
    Florida
    #5
    I have CS4 installed on my G5 and it runs great
     
  6. flyrod macrumors 6502

    flyrod

    Joined:
    Jan 12, 2015
    #6
    I have PS7. Is there any reason to move to CS4?
     
  7. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #7
    Additional tools. Which I can't really name, so technically there was not really much of a reason for me to move up. I'm using CC at work which has a dark interface. That's reason enough for me. Interestingly enough though, I can't seem to print in CC and CS6 so I have to load up CS4 to print. I always get a printing error. Wierd.

    If you ever go to Leopard however, you will be forced to move up if you want to keep using Photoshop. PS7 does not run on Leopard.
     
  8. Dronecatcher macrumors 68000

    Dronecatcher

    Joined:
    Jun 17, 2014
    Location:
    Lincolnshire, UK
    #8

Share This Page